INCLUDES = -I$(srcdir)/../../taskmanager $(all_includes)

kde_module_LTLIBRARIES = kasbar_panelextension.la

kasbar_panelextension_la_SOURCES = kasbar.cpp kasitem.cpp kasbarextension.cpp \
				kastaskitem.cpp	kastasker.cpp kaspopup.cpp \
				kastaskpopup.cpp kasstartupitem.cpp \
				kasaboutdlg.cpp kasprefsdlg.cpp \
				kasgroupitem.cpp kasgrouppopup.cpp

kasbar_panelextension_la_METASOURCES = AUTO
kasbar_panelextension_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
kasbar_panelextension_la_LIBADD =  $(LIB_KDEUI) ../../taskmanager/libtaskmanager.la

noinst_HEADERS = kasbar.h kasitem.h kasbarextension.h \
		kastaskitem.h kastasker.h kaspopup.h kasstartupitem.h \
		kasaboutdlg.h kasprefsdlg.h version.h \
		kasgroupitem.h kasgrouppopup.h

lnkdir = $(kde_datadir)/kicker/extensions
lnk_DATA = kasbarextension.desktop

EXTRA_DIST = $(lnk_DATA)

check_PROGRAMS = test_kasbar
test_kasbar_SOURCES = test_kasbar.cpp
test_kasbar_LDFLAGS = $(all_libraries) $(KDE_RPATH)
test_kasbar_LDADD = 	kasbar_panelextension.la \
			$(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)


messages:
	$(XGETTEXT) *.cpp *.h -o $(podir)/kasbarextension.pot

srcdoc:
	$(kde_bindir)/kdoc -a -p -d classdocs -n 'Kasbar2' ../../taskmanager/*.h *.h -lqt -lkdecore -lkdeui

.PHONY:	changes
changes:
	cvs2cl.pl --window 3600 -w --hide-filenames -I '.desktop'
